IDFETCH(1)

NAME
idfetch - retrieve biological data from the NCBI ID1 server

SYNOPSIS
idfetch [-] [-F str] [-G filename] [-Q filename] [-c N] [-d str] [-e N] [-f str] [-g N] [-i N] [-l filename] [-n] [-o filename] [-q str] [-s str] [-t N]

DESCRIPTION
idfetch is a client for NCBI's ID1 server, which contains a large database of annotated biological sequences.

OPTIONS
A summary of options is included below.

-   Print usage message

-F str
    Add the specified feature types (comma-delimited); allowed values are CDD, SNP, SNP_graph, MGC, HPRD, STS, tRNA, and microRNA.

-G filename
    File with list of GIs, (versioned) accessions, FASTA SeqIDs to dump

-Q filename
    Generate GI list by Entrez query in filename; requires -dn or -dp.

-c N
    Max complexity:
    0   get the whole blob (default)
    1   get the bioseq of interest
    2   get the minimal bioseq-set containing the bioseq of interest
    3   get the minimal nuc-prot containing the bioseq of interest
    4   get the minimal pub-set containing the bioseq of interest

-d str
    Database to use (with -q, can be either n for nucleotides or p for proteins).

-e N
    Entity number (retrieval number) to dump

-f str
    Flattened SeqId. Possible formats:
    type([name][,[accession][,[release][,version]]]) as '5(HUMHBB)'
    type=accession
    type:number
    (type is a number indicating the ASN.1 Seq-id subtype.)

-g N
    GI id for single Entity to dump

-i N
    Type of lookup:
    0   get Seq-entry (default)
    1   get GI state (output to stderr)
    2   get SeqIds
    3   get GI history (sequence change only)
    4   get revision history (any change to ASN.1)

-l filename
    Log file

-n  Output only the list of GIs (with -q and -Q).

-o filename
    Filename for output (default = stdout)

-q str
    Generate gi list by Entrez query. Requires -dn or -dp.

-s str
    FASTA style SeqId ENCLOSED IN QUOTES. Formats:
    lcl|int or str
    bbs|int
    bbm|int
    gb|acc|loc
    emb|acc|loc
    pir|acc|name
    sp|acc|name
    pat|country|patent|seq
    gi|int
    dbj|acc|loc
    prf|acc|name
    pdb|entry|chain

-t N
    Output type:
    1   text ASN.1 (default)
    2   binary ASN.1
    3   GenBank (Seq-entry only)
    4   GenPept (Seq-entry only)
    5   FASTA (table for history)
    6   quality scores (Seq-entry only)
    7   Entrez DocSums
    8   FASTA reverse complement

AUTHOR
The National Center for Biotechnology Information.